Debian Bug report logs - #314435
libc6-dev: struct timespec and nanosleep() not available with -std=c99

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Baurzhan Ismagulov <ibr@radix50.net>

Date: Thu, 16 Jun 2005 09:18:07 UTC

Severity: normal

Tags: fixed-upstream

Fixed in version manpages/2.08-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#314435; Package libc6-dev. Full text and rfc822 format available.

Acknowledgement sent to Baurzhan Ismagulov <ibr@radix50.net>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Baurzhan Ismagulov <ibr@radix50.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libc6-dev: struct timespec and nanosleep() not available with -std=c99
Date: Thu, 16 Jun 2005 10:47:32 +0200
Package: libc6-dev
Version: 2.3.2.ds1-21
Severity: normal


Hello,

consider the following example:

#include <time.h>

int main(void)
{
	struct timespec a;
	nanosleep(&a, &a);
	return 0;
}

Compilation with "gcc -Wall -g -std=c99" produces the following errors:

c.c: In Funktion »main«:
c.c:5: error: storage size of `a' isn't known
c.c:6: Warnung: implicit declaration of function `nanosleep'
c.c:5: Warnung: unused variable `a'

The same source is compiled finely without -std=c99.

"gcc -v" output:

Lese Spezifikationen von /usr/lib/gcc-lib/i486-linux/3.3.4/specs
Konfiguriert mit: ../src/configure -v --enable-languages=c,c++,java,f77,pascal,objc,ada,treelang --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-gxx-include-dir=/usr/include/c++/3.3 --enable-shared --with-system-zlib --enable-nls --without-included-gettext --enable-__cxa_atexit --enable-clocale=gnu --enable-debug --enable-java-gc=boehm --enable-java-awt=xlib --enable-objc-gc i486-linux
Thread-Modell: posix
gcc-Version 3.3.4 (Debian 1:3.3.4-7)

Thanks in advance,
Baurzhan.


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.10-1-686
Locale: LANG=C, LC_CTYPE=de_DE (charmap=ISO-8859-1)

Versions of packages libc6-dev depends on:
ii  libc6                2.3.2.ds1-21        GNU C Library: Shared libraries an
ii  linux-kernel-headers 2.5.999-test7-bk-17 Linux Kernel Headers for developme

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#314435; Package libc6-dev. Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.iki.fi>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 314435@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.iki.fi>
To: 314435@bugs.debian.org, Baurzhan Ismagulov <ibr@radix50.net>
Subject: Re: Bug#314435: libc6-dev: struct timespec and nanosleep() not available with -std=c99
Date: Thu, 16 Jun 2005 12:47:13 +0300
to, 2005-06-16 kello 10:47 +0200, Baurzhan Ismagulov kirjoitti:
> #include <time.h>
> 
> int main(void)
> {
> 	struct timespec a;
> 	nanosleep(&a, &a);
> 	return 0;
> }
> 
> Compilation with "gcc -Wall -g -std=c99" produces the following errors:
> 
> c.c: In Funktion »main«:
> c.c:5: error: storage size of `a' isn't known
> c.c:6: Warnung: implicit declaration of function `nanosleep'
> c.c:5: Warnung: unused variable `a'
> 
> The same source is compiled finely without -std=c99.

The -std=c99 option means that you want strict compliance to the 1999
version of the C standard. That standard does not define struct timespec
or nanosleep in <time.h> or anywhere else. Thus, there is no bug.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#314435; Package libc6-dev. Full text and rfc822 format available.

Acknowledgement sent to Baurzhan Ismagulov <ibr@radix50.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 314435@bugs.debian.org (full text, mbox):

From: Baurzhan Ismagulov <ibr@radix50.net>
To: 314435@bugs.debian.org
Subject: Re: Bug#314435: libc6-dev: struct timespec and nanosleep() not available with -std=c99
Date: Thu, 16 Jun 2005 12:10:44 +0200
Hello Lars,

On Thu, Jun 16, 2005 at 12:47:13PM +0300, Lars Wirzenius wrote:
> The -std=c99 option means that you want strict compliance to the 1999
> version of the C standard. That standard does not define struct timespec
> or nanosleep in <time.h> or anywhere else. Thus, there is no bug.

struct timespec and nanosleep are POSIX, and should be defined in time.h
according to SUSv3 (see, e.g.,
http://www.opengroup.org/onlinepubs/007908799/xsh/nanosleep.html). I
don't see why strict C99 compliance should affect that header. I think
it is a bug.

With kind regards,
Baurzhan.



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#314435; Package libc6-dev. Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.iki.fi>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 314435@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.iki.fi>
To: 314435@bugs.debian.org, Baurzhan Ismagulov <ibr@radix50.net>
Subject: Re: Bug#314435: libc6-dev: struct timespec and nanosleep() not available with -std=c99
Date: Thu, 16 Jun 2005 13:37:34 +0300
to, 2005-06-16 kello 12:10 +0200, Baurzhan Ismagulov kirjoitti:
> On Thu, Jun 16, 2005 at 12:47:13PM +0300, Lars Wirzenius wrote:
> > The -std=c99 option means that you want strict compliance to the 1999
> > version of the C standard. That standard does not define struct timespec
> > or nanosleep in <time.h> or anywhere else. Thus, there is no bug.
> 
> struct timespec and nanosleep are POSIX, and should be defined in time.h
> according to SUSv3 (see, e.g.,
> http://www.opengroup.org/onlinepubs/007908799/xsh/nanosleep.html). I
> don't see why strict C99 compliance should affect that header. I think
> it is a bug.

The C standard guarantees (see page 166, 7.1.3, "Reserved identifiers",
if you have a copy) that the standard headers do not define identifiers
that the C standard does not explicitly declare as defined by the
standard, reserved for future versions of the standard, or reserved to
the implementation. "struct timespec" and "nanosleep" are not such
identifiers.

Thus, it is clearly not a bug.

If you want to use nanosleep, do not compile with -std=c99. See the GNU
libc documentation, "1.2 Standards and Portability", for information on
how to choose and ask for support for the standards you need.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#314435; Package libc6-dev. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <drow@false.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 314435@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <drow@false.org>
To: Baurzhan Ismagulov <ibr@radix50.net>, 314435@bugs.debian.org
Subject: Re: Bug#314435: libc6-dev: struct timespec and nanosleep() not available with -std=c99
Date: Thu, 16 Jun 2005 15:33:47 -0400
On Thu, Jun 16, 2005 at 12:10:44PM +0200, Baurzhan Ismagulov wrote:
> struct timespec and nanosleep are POSIX, and should be defined in time.h
> according to SUSv3 (see, e.g.,
> http://www.opengroup.org/onlinepubs/007908799/xsh/nanosleep.html). I
> don't see why strict C99 compliance should affect that header. I think
> it is a bug.

In addition to what Lars wrote, strict compliance affects time.h
because <time.h> is specified in the ISO C99 standard: it provides
time_t, struct tm, clock(), mktime(), et cetera.

-- 
Daniel Jacobowitz
CodeSourcery, LLC



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#314435; Package libc6-dev. Full text and rfc822 format available.

Acknowledgement sent to Baurzhan Ismagulov <ibr@radix50.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 314435@bugs.debian.org (full text, mbox):

From: Baurzhan Ismagulov <ibr@radix50.net>
To: 314435@bugs.debian.org
Subject: Re: Bug#314435: libc6-dev: struct timespec and nanosleep() not available with -std=c99
Date: Sat, 18 Jun 2005 11:44:00 +0200
Hello Lars and Daniel,

thanks much for the links and explanations!

On Thu, Jun 16, 2005 at 01:37:34PM +0300, Lars Wirzenius wrote:
> The C standard guarantees (see page 166, 7.1.3, "Reserved identifiers",
> if you have a copy) that the standard headers do not define identifiers
> that the C standard does not explicitly declare as defined by the
> standard, reserved for future versions of the standard, or reserved to
> the implementation. "struct timespec" and "nanosleep" are not such
> identifiers.

Indeed. I've overseen that time.h is also defined by C99. I've changed
my opinion regarding whether this is a libc6-dev bug.

However, I still have a problem. My intention is to use -std=c99 and
define macros like _BSD_SOURCE in order to document all portability
issues at the top of the files. After I defined _POSIX_C_SOURCE to
200201L, I'm able to compile the file without problems. However, neither
SUSv3, nor Linux man page say anything about it. That is why I used to
think that struct timespec and nanosleep MUST be available after a bare
#include <time.h>. Does POSIX specify whether the availability can be
controlled with a macro? Should Linux man page be updated to mention
_POSIX_C_SOURCE?

BTW, defining _POSIX_SOURCE, which is described in the glibc
documentation, didn't work for me. Is it a bug, or does "POSIX.1" mean
POSIX 1990 only?

With kind regards,
Baurzhan.



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#314435; Package libc6-dev. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 314435@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: Baurzhan Ismagulov <ibr@radix50.net>, 314435@bugs.debian.org
Subject: Re: Bug#314435: libc6-dev: struct timespec and nanosleep() not available with -std=c99
Date: Sun, 24 Jul 2005 17:29:47 +0900
At Sat, 18 Jun 2005 11:44:00 +0200,
Baurzhan Ismagulov wrote:
> However, I still have a problem. My intention is to use -std=c99 and
> define macros like _BSD_SOURCE in order to document all portability
> issues at the top of the files. After I defined _POSIX_C_SOURCE to
> 200201L, I'm able to compile the file without problems. However, neither
> SUSv3, nor Linux man page say anything about it. That is why I used to
> think that struct timespec and nanosleep MUST be available after a bare
> #include <time.h>. Does POSIX specify whether the availability can be
> controlled with a macro? Should Linux man page be updated to mention
> _POSIX_C_SOURCE?

I also don't know it should be described to linux man pages - if you
think so, please reassign it to manpages-dev.  However linux manpages
is not the only reference, I think.

> BTW, defining _POSIX_SOURCE, which is described in the glibc
> documentation, didn't work for me. Is it a bug, or does "POSIX.1" mean
> POSIX 1990 only?

"/usr/include/features.h" describes the actual detail, please check it
out.

Regards,
-- gotom



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#314435; Package libc6-dev. Full text and rfc822 format available.

Acknowledgement sent to Baurzhan Ismagulov <ibr@radix50.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 314435@bugs.debian.org (full text, mbox):

From: Baurzhan Ismagulov <ibr@radix50.net>
To: GOTO Masanori <gotom@debian.or.jp>
Cc: 314435@bugs.debian.org
Subject: Re: Bug#314435: libc6-dev: struct timespec and nanosleep() not available with -std=c99
Date: Sun, 24 Jul 2005 11:13:25 +0200
Hello Masanori,

On Sun, Jul 24, 2005 at 05:29:47PM +0900, GOTO Masanori wrote:
> > Should Linux man page be updated to mention _POSIX_C_SOURCE?
> 
> I also don't know it should be described to linux man pages - if you
> think so, please reassign it to manpages-dev.  However linux manpages
> is not the only reference, I think.

Sure, but it would be nice to have it at least there.


> > BTW, defining _POSIX_SOURCE, which is described in the glibc
> > documentation, didn't work for me. Is it a bug, or does "POSIX.1" mean
> > POSIX 1990 only?
> 
> "/usr/include/features.h" describes the actual detail, please check it
> out.

Thanks for the hint! At that time I had only grepped for the macros; now
I saw the comments in the beginning of the files. Seems that nanosleep
was not part of IEEE Std 1003.1; this answers my question.


With kind regards,
Baurzhan.



Bug reassigned from package `libc6-dev' to `manpages-dev'. Request was from Baurzhan Ismagulov <ibr@radix50.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#314435; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Baurzhan Ismagulov <ibr@radix50.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #47 received at 314435@bugs.debian.org (full text, mbox):

From: Baurzhan Ismagulov <ibr@radix50.net>
To: 314435@bugs.debian.org
Cc: joey@debian.org
Subject: Re: Bug#314435: libc6-dev: struct timespec and nanosleep() not available with -std=c99
Date: Sun, 24 Jul 2005 11:59:46 +0200
[Message part 1 (text/plain, inline)]
Hello Martin,

I think nanosleep requires #define _POSIX_C_SOURCE 199309L. Or do we
need different pages for nanosleep(2) and nanosleep(3)?

With kind regards,
Baurzhan.
[manpages-2.02-ibr-nanosleep-20050724-1156.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#314435; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #52 received at 314435@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: Baurzhan Ismagulov <ibr@radix50.net>
Cc: GOTO Masanori <gotom@debian.or.jp>, 314435@bugs.debian.org
Subject: Re: Bug#314435: libc6-dev: struct timespec and nanosleep() not available with -std=c99
Date: Mon, 25 Jul 2005 19:48:00 +0900
At Sun, 24 Jul 2005 11:13:25 +0200,
Baurzhan Ismagulov wrote:
> On Sun, Jul 24, 2005 at 05:29:47PM +0900, GOTO Masanori wrote:
> > > Should Linux man page be updated to mention _POSIX_C_SOURCE?
> > 
> > I also don't know it should be described to linux man pages - if you
> > think so, please reassign it to manpages-dev.  However linux manpages
> > is not the only reference, I think.
> 
> Sure, but it would be nice to have it at least there.
>
> > > BTW, defining _POSIX_SOURCE, which is described in the glibc
> > > documentation, didn't work for me. Is it a bug, or does "POSIX.1" mean
> > > POSIX 1990 only?
> > 
> > "/usr/include/features.h" describes the actual detail, please check it
> > out.
> 
> Thanks for the hint! At that time I had only grepped for the macros; now
> I saw the comments in the beginning of the files. Seems that nanosleep
> was not part of IEEE Std 1003.1; this answers my question.

OK :)

How do you think that this bug report should be reassigned to
manpages-dev, or simple close?

Regards,
-- gotom




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#314435; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #57 received at 314435@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Baurzhan Ismagulov <ibr@radix50.net>, 314435@bugs.debian.org
Cc: 314435@bugs.debian.org, joey@debian.org, control@bugs.debian.org
Subject: Re: Bug#314435: libc6-dev: struct timespec and nanosleep() not available with -std=c99
Date: Mon, 25 Jul 2005 13:20:39 +0200 (MEST)
tags 314435 fixed-upstream
thanks

> Hello Martin,
> 
> I think nanosleep requires #define _POSIX_C_SOURCE 199309L. Or do we
> need different pages for nanosleep(2) and nanosleep(3)?
> 
> With kind regards,
> Baurzhan.

This is correct.  I have fixed this for the next 
man-pages release (2.08).

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.

GMX DSL = Maximale Leistung zum minimalen Preis!
2000 MB nur 2,99, Flatrate ab 4,99 Euro/Monat: http://www.gmx.net/de/go/dsl



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#314435; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#314435; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Baurzhan Ismagulov <ibr@radix50.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #69 received at 314435@bugs.debian.org (full text, mbox):

From: Baurzhan Ismagulov <ibr@radix50.net>
To: GOTO Masanori <gotom@debian.or.jp>
Cc: 314435@bugs.debian.org
Subject: Re: Bug#314435: libc6-dev: struct timespec and nanosleep() not available with -std=c99
Date: Mon, 25 Jul 2005 15:23:12 +0200
Hello Masanori (this is your first name, isn't it?),

On Mon, Jul 25, 2005 at 07:48:00PM +0900, GOTO Masanori wrote:
> How do you think that this bug report should be reassigned to
> manpages-dev, or simple close?

I've already reassigned it to manpages-dev, and it is already
fixed-upstream thanks to Michael.

Thanks much!
Baurzhan.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#314435; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #74 received at 314435@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: Baurzhan Ismagulov <ibr@radix50.net>, mtk-manpages@gmx.net
Cc: GOTO Masanori <gotom@debian.or.jp>, 314435@bugs.debian.org
Subject: Re: Bug#314435: libc6-dev: struct timespec and nanosleep() not available with -std=c99
Date: Tue, 26 Jul 2005 13:19:24 +0900
At Mon, 25 Jul 2005 15:23:12 +0200,
Baurzhan Ismagulov wrote:
> > How do you think that this bug report should be reassigned to
> > manpages-dev, or simple close?
> 
> I've already reassigned it to manpages-dev, and it is already
> fixed-upstream thanks to Michael.

Baurzhan and Michael, thanks for your quick reply and works :)

Regards,
-- gotom



Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Baurzhan Ismagulov <ibr@radix50.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #79 received at 314435-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 314435-close@bugs.debian.org
Subject: Bug#314435: fixed in manpages 2.08-1
Date: Thu, 17 Nov 2005 23:02:09 -0800
Source: manpages
Source-Version: 2.08-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.08-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.08-1_all.deb
manpages_2.08-1.diff.gz
  to pool/main/m/manpages/manpages_2.08-1.diff.gz
manpages_2.08-1.dsc
  to pool/main/m/manpages/manpages_2.08-1.dsc
manpages_2.08-1_all.deb
  to pool/main/m/manpages/manpages_2.08-1_all.deb
manpages_2.08.orig.tar.gz
  to pool/main/m/manpages/manpages_2.08.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 314435@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 18 Nov 2005 07:46:45 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.08-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 263756 314435 322934 323621 325115 326720 328629
Changes: 
 manpages (2.08-1) unstable; urgency=low
 .
   * New upstream release, with the following changes
     - Add _POSIX_C_SOURCE 199309 to nanosleep(2) prototype (Closes: Bug#314435)
     - Clarified arguments in outb(2) (Closes: Bug#263756)
     - Corrected prototype in poll(2) (Closes: Bug#322934)
     - Removed misleading text in rand(3) (Closes: Bug#328629)
     - Correction of description of carg(3) (Closes: Bug#326720)
     - Removed reference to rpc_secure(3) in rpc(3) (Closes: Bug#325115)
     - Mention pivot-root in initrd(4) (Closes: Bug#323621)
Files: 
 6682770978e807df9d68cc3d1ee87677 584 doc - manpages_2.08-1.dsc
 0b3cca8825ac6980fdc22d47d23c6888 1050767 doc - manpages_2.08.orig.tar.gz
 929aaee8838745ccb7af2bf4bb1596f1 44697 doc - manpages_2.08-1.diff.gz
 abf56fc177c2af5490b962f301a2b4b2 402880 doc important manpages_2.08-1_all.deb
 67dc6340a6b039bb1fb74604714347cd 1104406 doc standard manpages-dev_2.08-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDfXllW5ql+IAeqTIRAjEWAJ4rAV2qjPqtyYu0RtGiykphDcUs2ACdH6Cy
cIx6c2EfU8aeF/mi+qAA770=
=l+s0
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 04:54:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:36:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.